
QGIS Application - Bug report #20214

QGIS crashes when trying to load xml file for new svgs in style manager

2018-10-25 04:45 PM - Chris Franklin

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.2.3 Regression?: No

Operating System: windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 28035

Description

User Feedback

Report Details

Crash ID: 8d5ade14451aa30dd70d11d1d8df701994e63390

Stack Trace

RtlSizeHeap :

NotifyShims :

free :

DllUnregisterServer :

DllUnregisterServer :

CLSIDFromOle1Class :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

2025-04-27 1/2



QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-10-25 09:29 PM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the XML file?

#2 - 2018-10-30 11:40 PM - Nyall Dawson

- Status changed from Feedback to Closed

Should be fixed in master

#3 - 2018-11-16 02:33 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added
